SUSE SLES12 セキュリティ更新プログラム:java-1_7_0-openjdk (SUSE-SU-2021:3007-1)

medium Nessus プラグイン ID 153190

Language:

概要

リモートの SUSE ホストに 1 つ以上のセキュリティ更新がありません。

説明

リモートの SUSE Linux SLES12 / SLES_SAP12 ホストには、SUSE-SU-2021:3007-1 のアドバイザリに記載された複数の脆弱性の影響を受けるパッケージがインストールされています。

-以前のすべてのメモリ書き込みのアドレスがわかる前に投機的実行および投機的実行のメモリ読み取りを利用するマイクロプロセッサを備えたシステムでは、サイドチャネル分析、別名Speculative Store Bypass(SSB)、Variant 4を使用したローカルユーザーアクセスによる攻撃者への不正な情報漏洩が発生する可能性があります。(CVE-2018-3639)

- Oracle Java SE の Java SE、Java SE Embedded、Oracle GraalVM Enterprise Edition 製品の脆弱性 (コンポーネント: Libraries)。サポートされているバージョンで影響を受けるのは、Java SE: 7u291, 8u281, 11.0.10, 16;
Java SE Embedded: 8u281。Oracle GraalVM Enterprise Edition:19.3.5、20.3.1.2、および 21.0.0.2です。悪用が難しい脆弱性ですが、認証されていない攻撃者が複数のプロトコルを使用してネットワークにアクセスし、Java SE、Java SE Embedded、Oracle GraalVM Enterprise Editionを侵害する可能性があります。この脆弱性に対する攻撃が成功すると、重要なデータやJava SE、Java SE Embedded、Oracle GraalVM Enterprise Editionがアクセスできるすべてのデータが権限なしで作成、削除、変更される可能性があります。注意: この脆弱性は、信頼できないコード (インターネットからのコードなど) を読み込んで実行し、セキュリティを Java サンドボックスに依存する Java デプロイメントが対象です。これは、指定されたコンポーネントの API に信頼できないデータを供給することでも悪用される可能性があります。(CVE-2021-2161)

- Oracle Java SE の Java SE、Java SE Embedded、Oracle GraalVM Enterprise Edition 製品の脆弱性 (コンポーネント: Libraries)。サポートされているバージョンで影響を受けるのは、Java SE: 7u291, 8u281, 11.0.10, 16;
Java SE Embedded: 8u281。Oracle GraalVM Enterprise Edition:19.3.5、20.3.1.2、および 21.0.0.2です。悪用が難しい脆弱性ですが、認証されていない攻撃者が複数のプロトコルを使用してネットワークにアクセスし、Java SE、Java SE Embedded、Oracle GraalVM Enterprise Editionを侵害する可能性があります。この攻撃が成功するには、攻撃者以外の人物の関与が必要です。この脆弱性に対する攻撃が成功すると、重要なデータやJava SE、Java SE Embedded、Oracle GraalVM Enterprise Editionがアクセスできるすべてのデータが権限なしで作成、削除、変更される可能性があります。注意: この脆弱性は、信頼できないコード (インターネットからのコードなど) を読み込んで実行し、セキュリティを Java サンドボックスに依存する Java デプロイメントが対象です。(CVE-2021-2163)

- Oracle Java SE の Java SE、Oracle GraalVM Enterprise Edition 製品の脆弱性 (コンポーネント:
ネットワーキング)。サポートされているバージョンで影響を受けるのは、Java SE: 7u301、8u291、11.0.11、16.0.1とOracle GraalVM Enterprise Edition:20.3.2および21.1.0です。悪用が難しい脆弱性ですが、認証されていない攻撃者が複数のプロトコルを使用してネットワークにアクセスし、Java SE、Oracle GraalVM Enterprise Edition を侵害する可能性があります。この攻撃が成功するには、攻撃者以外の人物の関与が必要です。この脆弱性に対する攻撃が成功すると、Java SE、Oracle GraalVM Enterprise Editionがアクセスできるデータのサブセットに、権限なしで読み取りアクセスが行われる可能性があります。注意: この脆弱性は、通常、サンドボックス化された Java Web Start アプリケーションまたはサンドボックス化された Java アプレットを実行しているクライアントで信頼できないコード (インターネットからのコードなど) を読み込んで実行し、セキュリティを Java サンドボックスに依存する Java デプロイメントが対象です。この脆弱性は、通常サーバーで信頼できるコード (管理者がインストールしたコードなど) のみを読み込んで実行する Java デプロイメントを対象としていません。(CVE-2021-2341)

- Oracle Java SE の Java SE、Oracle GraalVM Enterprise Edition 製品の脆弱性 (コンポーネント:
ライブラリ)。サポートされているバージョンで影響を受けるのは、Java SE: 7u301、8u291、11.0.11、16.0.1とOracle GraalVM Enterprise Edition:20.3.2および21.1.0です。容易に悪用できる脆弱性により、認証されていない攻撃者が複数のプロトコルを使用してネットワークにアクセスし、Java SE、Oracle GraalVM Enterprise Edition を侵害する可能性があります。
この攻撃が成功するには、攻撃者以外の人物の関与が必要です。この脆弱性に対する攻撃が成功すると、Java SE、Oracle GraalVM Enterprise Edition がアクセスできるデータの一部に権限なしで更新アクセス、挿入アクセス、または削除アクセスが行われる可能性があります。注意: この脆弱性は、通常、サンドボックス化された Java Web Start アプリケーションまたはサンドボックス化された Java アプレットを実行しているクライアントで信頼できないコード (インターネットからのコードなど) を読み込んで実行し、セキュリティを Java サンドボックスに依存する Java デプロイメントが対象です。この脆弱性は、通常サーバーで信頼できるコード (管理者がインストールしたコードなど) のみを読み込んで実行する Java デプロイメントを対象としていません。(CVE-2021-2369)

- Oracle Java SE の Java SE 製品の脆弱性 (コンポーネント: JNDI)。サポートされているバージョンで影響を受けるのは、Java SE: 7u301. 悪用が難しい脆弱性ですが、認証されていない攻撃者が複数のプロトコルを使用してネットワークにアクセスし、Java SE を侵害する可能性があります。この脆弱性に対する攻撃が成功すると、Java SE の部分的なサービス拒否 (部分的 DOS) が権限なしで引き起こされる可能性があります。注意: この脆弱性は、通常、サンドボックス化された Java Web Start アプリケーションまたはサンドボックス化された Java アプレットを実行しているクライアントで信頼できないコード (インターネットからのコードなど) を読み込んで実行し、セキュリティを Java サンドボックスに依存する Java デプロイメントが対象です。この脆弱性は、指定されたコンポーネントで API を使用することによって (たとえば API にデータを提供する Web サービスを通して) 悪用される可能性もあります。
(CVE-2021-2432)

Nessus はこれらの問題をテストしておらず、代わりにアプリケーションの自己報告されたバージョン番号にのみ依存しています。

ソリューション

影響を受ける java-1_7_0-openjdk、java-1_7_0-openjdk-demo、java-1_7_0-openjdk-devel および / または java-1_7_0-openjdk- headless パッケージを更新してください。

参考資料

https://bugzilla.suse.com/1185055

https://bugzilla.suse.com/1185056

https://bugzilla.suse.com/1188564

https://bugzilla.suse.com/1188565

https://bugzilla.suse.com/1188568

https://www.suse.com/security/cve/CVE-2018-3639

https://www.suse.com/security/cve/CVE-2021-2161

https://www.suse.com/security/cve/CVE-2021-2163

https://www.suse.com/security/cve/CVE-2021-2341

https://www.suse.com/security/cve/CVE-2021-2369

https://www.suse.com/security/cve/CVE-2021-2432

http://www.nessus.org/u?36c86598

プラグインの詳細

深刻度: Medium

ID: 153190

ファイル名: suse_SU-2021-3007-1.nasl

バージョン: 1.8

タイプ: local

エージェント: unix

公開日: 2021/9/10

更新日: 2023/7/14

サポートされているセンサー: Frictionless Assessment AWS, Frictionless Assessment Azure, Frictionless Assessment Agent, Nessus Agent, Agentless Assessment, Nessus

リスク情報

VPR

リスクファクター: Medium

スコア: 6.7

CVSS v2

リスクファクター: Medium

Base Score: 4.3

Temporal Score: 3.6

ベクトル: CVSS2#AV:N/AC:M/Au:N/C:N/I:P/A:N

CVSS スコアのソース: CVE-2021-2369

CVSS v3

リスクファクター: Medium

Base Score: 5.9

Temporal Score: 5.5

ベクトル: CVSS:3.0/AV:N/AC:H/PR:N/UI:N/S:U/C:N/I:H/A:N

現状ベクトル: CVSS:3.0/E:F/RL:O/RC:C

CVSS スコアのソース: CVE-2021-2161

脆弱性情報

CPE: p-cpe:/a:novell:suse_linux:java-1_7_0-openjdk, p-cpe:/a:novell:suse_linux:java-1_7_0-openjdk-demo, p-cpe:/a:novell:suse_linux:java-1_7_0-openjdk-devel, p-cpe:/a:novell:suse_linux:java-1_7_0-openjdk-headless, cpe:/o:novell:suse_linux:12

必要な KB アイテム: Host/local_checks_enabled, Host/cpu, Host/SuSE/release, Host/SuSE/rpm-list

エクスプロイトが利用可能: true

エクスプロイトの容易さ: Exploits are available

パッチ公開日: 2021/9/9

脆弱性公開日: 2018/5/21

参照情報

CVE: CVE-2018-3639, CVE-2021-2161, CVE-2021-2163, CVE-2021-2341, CVE-2021-2369, CVE-2021-2432

IAVA: 2018-A-0170, 2019-A-0025-S, 2021-A-0195, 2021-A-0327-S

SuSE: SUSE-SU-2021:3007-1